Subject: bug#37154: 27.0.50; when replying to a message from a mailing list, error prevents replying

From: Uwe Brauer <[email-masked]>
Date: Mon, 23 Sep 2019 13:53:23 +0200

>>> "LI" == Lars Ingebrigtsen <[email-masked]> writes:

> Uwe Brauer <[email-masked]> writes:
>> Debugger entered--Lisp error: (search-failed "--text follows this line--")
>> search-forward("--text follows this line--")
>> hashcash-insert-payment-async-2(#<buffer *unsent wide reply to
>> Noah Graff*> #<process hashcash<6>>
>> "1:20:190823:[email-masked]::r8emlzGlkUiiQhTF:0002J...")

> The backtrace here is pretty confusing, too.  I can't see how that
> function would lead to that backtrace.

> But I also see that you have:

> /home/oub/emacs/site-lisp/versch/hashcash hides /opt/emacs27/share/emacs/27.0.50/lisp/mail/hashcash

> So is that an old version of hashcash.el in your load path?

True. Thanks for pointing it out. I removed it and will see whether I
see this bug again. Maybe you can close the bug for the moment?